%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name sanitize-html

Name: %{?scl_prefix}nodejs-sanitize-html
Version: 2.3.2
Release: 1%{?dist}
Summary: Clean up user-submitted HTML, preserving whitelisted elements and whitelisted attributes on a per-element basis
License: MIT
Group: Development/Libraries
URL: https://github.com/apostrophecms/sanitize-html#readme
Source0: https://registry.npmjs.org/deepmerge/-/deepmerge-4.3.1.tgz
Source1: https://registry.npmjs.org/dom-serializer/-/dom-serializer-1.4.1.tgz
Source2: https://registry.npmjs.org/domelementtype/-/domelementtype-2.3.0.tgz
Source3: https://registry.npmjs.org/domhandler/-/domhandler-4.3.1.tgz
Source4: https://registry.npmjs.org/domutils/-/domutils-2.8.0.tgz
Source5: https://registry.npmjs.org/entities/-/entities-2.2.0.tgz
Source6: https://registry.npmjs.org/escape-string-regexp/-/escape-string-regexp-4.0.0.tgz
Source7: https://registry.npmjs.org/htmlparser2/-/htmlparser2-6.1.0.tgz
Source8: https://registry.npmjs.org/is-plain-object/-/is-plain-object-5.0.0.tgz
Source9: https://registry.npmjs.org/klona/-/klona-2.0.6.tgz
Source10: https://registry.npmjs.org/nanoid/-/nanoid-3.3.11.tgz
Source11: https://registry.npmjs.org/parse-srcset/-/parse-srcset-1.0.2.tgz
Source12: https://registry.npmjs.org/picocolors/-/picocolors-1.1.1.tgz
Source13: https://registry.npmjs.org/postcss/-/postcss-8.5.6.tgz
Source14: https://registry.npmjs.org/sanitize-html/-/sanitize-html-2.3.2.tgz
Source15: https://registry.npmjs.org/source-map-js/-/source-map-js-1.2.1.tgz
Source16: nodejs-sanitize-html-%{version}-registry.npmjs.org.tgz
BuildRequires: %{?scl_prefix_nodejs}npm
%if 0%{!?scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(deepmerge)) = 4.3.1
Provides: bundled(npm(dom-serializer)) = 1.4.1
Provides: bundled(npm(domelementtype)) = 2.3.0
Provides: bundled(npm(domhandler)) = 4.3.1
Provides: bundled(npm(domutils)) = 2.8.0
Provides: bundled(npm(entities)) = 2.2.0
Provides: bundled(npm(escape-string-regexp)) = 4.0.0
Provides: bundled(npm(htmlparser2)) = 6.1.0
Provides: bundled(npm(is-plain-object)) = 5.0.0
Provides: bundled(npm(klona)) = 2.0.6
Provides: bundled(npm(nanoid)) = 3.3.11
Provides: bundled(npm(parse-srcset)) = 1.0.2
Provides: bundled(npm(picocolors)) = 1.1.1
Provides: bundled(npm(postcss)) = 8.5.6
Provides: bundled(npm(sanitize-html)) = 2.3.2
Provides: bundled(npm(source-map-js)) = 1.2.1
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 16 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --legacy-peer-deps --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE
%doc node_modules/%{npm_name}/CHANGELOG.md
%doc node_modules/%{npm_name}/README.md

%changelog
* Thu Jun 19 2025 MariaAga <mariaaga@redhat.com> 2.3.2-1
- Add nodejs-sanitize-html generated by npm2rpm using the bundle strategy

